<?php
if (isset($_POST['resumes'])) {
    $resumes = $_POST['resumes'];
    $zip = new ZipArchive();
    $zipFileName = 'resumes_' . time() . '.zip';

    if ($zip->open($zipFileName, ZipArchive::CREATE) === TRUE) {
        foreach ($resumes as $file) {
            // Validate and add files to the zip
            $filePath = realpath($file);
            if (file_exists($filePath)) {
                $zip->addFile($filePath, basename($filePath));
            }
        }
        $zip->close();

        header('Content-Type: application/zip');
        header('Content-Disposition: attachment; filename="' . basename($zipFileName) . '"');
        header('Content-Length: ' . filesize($zipFileName));

        readfile($zipFileName);
        unlink($zipFileName);
        exit;
    } else {
        echo 'Failed to create zip file.';
    }
} else {
    echo 'No resumes selected.';
}
?>
