<?php 

include('header.php');
require('model/ManageJobCategories.php');


$msg_alert = ' '; 
    
$manageJobCategories = new ManageJobCategories($pdo);

 if (isset($_POST['add_designation'])) { 
        $user_id = $user_id ?? null;
        $name = $_POST['name'] ?? '';
        // Create Designation
        $designation = $manageJobCategories->createDesignation($user_id,$name);
        
        if ($designation) {
            $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Designation Added Successfully ! </div>';
            echo "<script> setTimeout(function() { window.location.href = 'manage-job-categories'; }, 3000); </script>"; 
            // Redirects after 2 seconds
        } else {
            $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error to Adding Job Category.</div>';
        }
       
 }
 
  if (isset($_POST['add_department'])) { 
        $user_id = $user_id ?? null;
        $job_designation_id = $_POST['job_designation_id'] ?? null;
        $name = $_POST['name'] ?? '';
    // Create Department 
    $department = $manageJobCategories->createDepartment($user_id, $job_designation_id, $name);    
    if ($department === "Department already exists.") {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Department Already Exists!</div>';
    } elseif ($department) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Department Added Successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'manage-job-categories'; }, 3000); </script>";
        // Redirects after 3 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error Adding Job Department.</div>';
    }
    
  }
  
    if (isset($_POST['add_devision'])) {
         echo "<script>alert('add_division button clicked')</script>";
        $user_id = $user_id ?? null;
        $name = $_POST['name'] ?? '';
        $job_department_id = $_POST['job_department_id'] ;
        // Create Devision
        $devision = $manageJobCategories->createDevision($user_id, $job_department_id, $name);
        
        if ( $devision) {
            $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Job Devision Added Successfully ! </div>';
            echo "<script> setTimeout(function() { window.location.href = 'manage-job-categories'; }, 3000); </script>"; 
            // Redirects after 2 seconds
        } else {
            $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error to Adding Job Devision.</div>';
        }
  }
 
    $selectDesginations =  $manageJobCategories->getDesignation();
    $selectDepartments =  $manageJobCategories->getDepartment();
    $selectDivisions =  $manageJobCategories->getDivision();
            
    //  Edit Category
    if ( isset($_POST['editCategory']) ) { 
        $id = $_POST['id'];
        $category_name = $_POST['category_name'];
    
        if ($addJobCategory->updateJobCategory($id, $category_name) ) {
            $msg_alert_update = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Category updated successfully!</div>';
            echo "<script> setTimeout(function() { window.location.href = 'add-job-category'; }, 3000); </script>";
        } else {
            $msg_alert_update = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error updating Category.</div>';
        }
    }
    // Edit Category
    
    
    // Delete Category
    if (isset($_POST['delete_category'])) {
        $id = $_POST['id'];
    if ($addJobCategory->deleteJobCategory($id)) {
        $msg_alert = '<div class="alert alert-success" role="alert"><strong>Success - </strong> Category deleted successfully!</div>';
        echo "<script> setTimeout(function() { window.location.href = 'add-job-category'; }, 3000); </script>"; // Redirects after 2 seconds
    } else {
        $msg_alert = '<div class="alert alert-danger" role="alert"><strong>Error - </strong> Error deleting Category.</div>';
        }
    }
    // Delete Category
    
    

?>

<!-- [ Main Content ] start -->
<section class="pcoded-main-container">
    <div class="pcoded-content">
        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12"> 
                        <div class="page-header-title">
                            <h5 class="m-b-10">Location</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index"><i class="feather icon-home"></i></a></li>
                            <li class="breadcrumb-item"><a href="#!">Jobs</a></li>
                            <li class="breadcrumb-item"><a href="manage-job-categories">Manage Job Categories</a></li>
                        </ul>

                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Create Job Categories</h5>
                    </div>
                    <div class="card-body">
                    <?php if($msg_alert != ""){
                        echo $msg_alert;
                    } ?>
                        <hr>
                        <div class="row">
                            <form method="post">
                                <div class="col-md-12">
                                    <div class="form-group mb-3">
                                        <label class="form-label"> Designation</label>
                                        <input type="text" class="form-control" name="name"  placeholder="Enter Designation">
                                    </div>
                                </div> 
                                <div class="col-md-12 text-right">
                                    <button type="submit" class="btn btn-dark" name="add_designation">Add Designation</button>
                                </div>
                            </form>
                        </div>  
                        <hr>
                        <form method="post">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">Select Designation </label>
                                     <select class="form-control" name="job_designation_id" >
                                        <option value="">Select Designation</option> 
                                        <?php
                                            foreach($selectDesginations as $designation){
                                                echo '<option value='. $designation['id'] .'>'. $designation['name'] .'</option>';
                                            }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label"> Department </label>
                                    <input type="text" class="form-control" name="name"  placeholder="Enter Department">
                                </div>
                            </div>
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-dark" name="add_department">Add Department</button>
                            </div>
                        </div>
                        </form>
                        <hr>
                        <form method="post">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label">Select Department </label> 
                                  <select class="form-control" name="job_department_id" >
                                        <option value="">Select Department</option> 
                                        <?php
                                            foreach($selectDepartments as $department){
                                                echo '<option value='. $department['id'] .'>'. $department['name'] .'</option>';
                                            }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group mb-3">
                                    <label class="form-label"> Divisions</label>
                                    <input type="text" class="form-control" name="name"  placeholder="Enter Devision">
                                </div>
                            </div>
                            <div class="col-md-12 text-right">
                                <button type="submit" class="btn btn-dark" name="add_devision">Add Devision</button>
                            </div>
                        </div> 
                        </form>
                        </div> 
                    </div>
 
                </div>
                </form>
                        
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Main Content ] end -->
        
        
        <!-- [ Table Content ] start -->
        <div class="row">
            <!-- [ form-element ] start -->
            <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Designations List</h5>
                    </div>
                    <div class="card-body">
  
                        <div class="row">
                            <div class="table-responsive">
                            <table class="table table-striped table-hover table-sm">
                                <thead class="text-center">
                                    <tr>
                                        <th>ID</th> 
                                        <th> Name</th> 
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php if ($selectDesginations): ?>
                                        <?php foreach ($selectDesginations as $designation): ?>
                                            <tr>
                                                <td><?php echo htmlspecialchars($designation['id']); ?></td>
                                                <td><?php echo htmlspecialchars($designation['name']); ?></td> 
                                                
                                                <td>
                                                    <form method="post" style="display:inline;">
                                                        <input type="hidden" name="id" value="<?php echo $category['id']; ?>">
                                                        <button type="submit" name="delete_category" class="btn btn-danger rounded-pill delete-category-btn">Delete </button>
                                                    </form>
                                                    <button type="button" class="btn btn-primary rounded-pill edit-category-btn" 
                                                        data-id="<?php echo $category['id']; ?>" 
                                                        data-name="<?php echo $category['name']; ?>" 
                                                        data-category_name="<?php echo $category['category_name'];?>" 
                                                        >Edit  </button>
                                                </td> 
                                            </tr>
                                        <?php endforeach; ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-center" colspan="6">No users found.</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
                        <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Department List</h5>
                    </div>
                    <div class="card-body">
 
                        <div class="row">
                            <div class="table-responsive">
                            <table class="table table-striped table-hover table-sm">
                                <thead class="text-center">
                                    <tr>
                                        <th>ID</th> 
                                        <th> Name</th> 
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php if (    $selectDepartments): ?>
                                        <?php foreach (    $selectDepartments as $department): ?>
                                            <tr>
                                                <td><?php echo htmlspecialchars($department['id']); ?></td>
                                                <td><?php echo htmlspecialchars($department['name']); ?></td> 
                                                
                                                <td>
                                                    <form method="post" style="display:inline;">
                                                        <input type="hidden" name="id" value="<?php echo $category['id']; ?>">
                                                        <button type="submit" name="delete_category" class="btn btn-danger rounded-pill delete-category-btn">Delete </button>
                                                    </form>
                                                    <button type="button" class="btn btn-primary rounded-pill edit-category-btn" 
                                                        data-id="<?php echo $category['id']; ?>" 
                                                        data-name="<?php echo $category['name']; ?>" 
                                                        data-category_name="<?php echo $category['category_name'];?>" 
                                                        >Edit </button>
                                                </td> 
                                            </tr>
                                        <?php endforeach; ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-center" colspan="6">No users found.</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
            
                        <div class="col-sm-12">
                <form method="post">
                <div class="card">
                    <div class="card-header">
                        <h5>Division List </h5>
                    </div>
                    <div class="card-body">
 
                        <div class="row">
                            <div class="table-responsive">
                            <table class="table table-striped table-hover table-sm">
                                <thead class="text-center">
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Actions</th>  
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    <?php if ($selectDivisions): ?>
                                        <?php foreach ($selectDivisions as $divisions): ?>
                                            <tr>
                                                <td><?php echo htmlspecialchars($divisions['id']); ?></td>
                                                <td><?php echo htmlspecialchars($divisions['name']); ?></td> 
                                                
                                                <td>
                                                    <form method="post" style="display:inline;">
                                                        <input type="hidden" name="id" value="<?php echo $category['id']; ?>">
                                                        <button type="submit" name="delete_category" class="btn btn-danger rounded-pill delete-category-btn">Delete </button>
                                                    </form>
                                                    <button type="button" class="btn btn-primary rounded-pill edit-category-btn" 
                                                        data-id="<?php echo $category['id']; ?>" 
                                                        data-name="<?php echo $category['name']; ?>" 
                                                        data-category_name="<?php echo $category['category_name'];?>" 
                                                        >Edit </button>
                                                </td> 
                                            </tr>
                                        <?php endforeach; ?>
                                    <?php else: ?>
                                        <tr>
                                            <td class="text-center" colspan="6">No users found.</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
            <!-- [ form-element ] end -->
        </div>
        <!-- [ Table Content ] end -->
        
        <!-- Edit Category Modal -->
        <div class="modal fade" id="editCategoryModal" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
            <div class="modal-dialog">
            <div class="modal-content">
                <form method="post">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editUserModalLabel">Edit Category</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" id="id" name="id">
   
                        <div class="form-group">
                            <label for="">Category Name</label>
                            <input type="text" class="form-control" id="categoryName" name="category_name" >
                        </div>
                         
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" name="editCategory" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
        </div>
        <!-- Edit Category Modal -->

    </div>
</section>
<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>



<script type="text/javascript">

    $(document).ready(function() {
        $('.delete-category-btn').on('click', function(e) {
            var form = $(this).closest('form');
            if (confirm("Are you sure want to delete this category ?")) {
                form.submit();
            }else{
                e.preventDefault();
            }
        });
        
        $('.edit-category-btn').on('click', function() {
            var id = $(this).data('id'); 
            var categoryName = $(this).data('category_name'); 
            
            $('#id').val(id)
            $('#categoryName').val(categoryName); 
            
            $('#editCategoryModal').modal('show');
        });
        
    });
    
    </script>
